// VTC1020 API V1.1 2016/11/28


#define VTC1020_API extern "C" __declspec(dllimport)



const unsigned int g_phone_number_Len = 20;
typedef struct Phone_Number
{
	char phone_number[g_phone_number_Len];
} Phone_Number_t;

typedef struct Phone_Number_W
{
	wchar_t phone_number[g_phone_number_Len];
} Phone_Number_W_t;


VTC1020_API void Get_DLL_Version(int *pnMajorVersion, int *pnMinorVersion);

VTC1020_API int Connect();
VTC1020_API void Disconnect();

VTC1020_API int  GetMCUVersion(int *pnMCUVersion);
VTC1020_API int  GetIgnitionStatus(int *pnIgnitionStatus);
VTC1020_API int  GetSupplyVoltage(int *pnSupplyVoltage);
VTC1020_API int  GetPowerType(int *pnPowerType);
VTC1020_API int  GetDelayTimeOption(int *pnPowerOff, int *pnPowerOn, int *pnDelayOffEnable, int *pnDelayOnEnable);
VTC1020_API int  GetStartupShutdownOption(int *pnStartupShutdownOption);
VTC1020_API int  GetAlarmTimer(int *pnHour, int *pnMin, int *pnSec);
VTC1020_API int  GetWWANStatus(int *pnWWAN_Enable, int *pnWWAN_Wakeup_Enable);
VTC1020_API int  GetWiFiStatus(int *pnWiFi);
VTC1020_API int  GetGPSStatus(int *pnGPSStatus);
VTC1020_API int  GetRTCStatus(int *pnRTCStatus);
VTC1020_API int  GetWatchdogConfig(int *pnWDT_Enable, int *pnTimeout);
VTC1020_API int  GetMDOStatus(unsigned char *pbyMDO);
VTC1020_API int  GetMDIStatus(unsigned char *pbyMDI);
VTC1020_API int  GetGsensorData(int nRegisterIndex, unsigned char *pbyGsensorData, int nGsensorDataLen);
VTC1020_API int  GetCANSwitchStatus(int *pnCANSwitchStatus);
VTC1020_API int  GetAudioSwitchStatus(int *pnAudioSwitchStatus);
VTC1020_API int  GetMDIOModeStatus(unsigned char *pbyMDIOModeStatus);
VTC1020_API int  GetInputFrequency(int *pnInputFrequency);

VTC1020_API int  SetRTCTimer(int nHour, int nMin, int nSec);
VTC1020_API int  SetDelayTimeOption(int nPowerOffDelayTime, int nPowerOffDelayTime_Enable, int nPowerOnDelayTime, int nPowerOnDelayTime_Enable);
VTC1020_API int  SetStartupShutdownOption(int nOption);
VTC1020_API int  SetAlarmTimer(int nHour, int nMin, int nSec);
VTC1020_API int  SetWWANControl(int nWWAN_Enable, int nWWAN_Wakeup_Enable);
VTC1020_API int  SetWiFiControl(int nWiFi);
VTC1020_API int  SetGPSControl(int nEnable);
VTC1020_API int  SetRTCControl(int nEnable);
VTC1020_API int  SetWatchdogControl(int nWDT_Enable);
VTC1020_API int  SetWatchdogTimer(int nWDT_TimeOut);
VTC1020_API int  SetFlashUpdate();
VTC1020_API int  SetMDOControl(unsigned char byMDO);
VTC1020_API int  SetGsensorData(int nRegIdx, unsigned char *pbyData, int nLen);
VTC1020_API int  SetCANSwitchControl(int nCANSwitch);
VTC1020_API int  SetAudioSwitchControl(int nAudioSwitch);
VTC1020_API int  SetMDIOModeControl(unsigned char byMDIOMode);

VTC1020_API int  Get3GAPN(char *pszAPN, int nLen);
VTC1020_API int  Get3GAPN_W(wchar_t *pszAPN, int nLen);
VTC1020_API int  Get3GDNS(int nIndex, char *pszDNS, int nLen);
VTC1020_API int  Get3GDNS_W(int nIndex, wchar_t *pszDNS, int nLen);
VTC1020_API int  Get3GServerIP(char *pszServerIP, int nLen);
VTC1020_API int  Get3GServerIP_W(wchar_t *pszServerIP, int nLen);
VTC1020_API int  Get3GServerPort(int *pnServerPort);
VTC1020_API int  GetIMEI(char *pszIMEI, int nLen);
VTC1020_API int  GetIMEI_W(wchar_t *pszIMEI, int nLen);
VTC1020_API int  GetMachineName(char *pszName, int nLen);
VTC1020_API int  GetMachineName_W(wchar_t *pszName, int nLen);
VTC1020_API int  GetPhoneNumber(int nIndex, Phone_Number_t *pPhone_Number, int nCount);
VTC1020_API int  GetPhoneNumber_W(int nIndex, Phone_Number_W_t *pPhone_Number, int nCount);
VTC1020_API int  GetTrackerStatus(int *pnTracker_Enable);
VTC1020_API int  GetTrackerMode(int *pnTrackerMode);
VTC1020_API int  GetTrackerDelayTime(int *pnDelayTime);
VTC1020_API int  GetTrackerResponseTime(int *pnResponseTime);
VTC1020_API int  GetTrackerThreshtap(int *pnTrackerThreshtap);
VTC1020_API int  GetTrackerAngle(int *pnTrackerAngle);
VTC1020_API int  GetSMSStatus(int *pnSMS_Enable);
VTC1020_API int  GetSMSCodingType(int *pnType);
VTC1020_API int  GetSMSContent_ASCII(char *pszSMS, int nLen);
VTC1020_API int  GetSMSContent_ASCII_W(wchar_t *pszSMS, int nLen);
VTC1020_API int  GetSMSContent_Unicode(wchar_t *pszSMS, int nLen);

VTC1020_API int  Set3GAPN(char *pszAPN, int nLen);
VTC1020_API int  Set3GAPN_W(wchar_t *pszAPN, int nLen);
VTC1020_API int  Set3GDNS(int nIndex, char *pszDNS, int nLen);
VTC1020_API int  Set3GDNS_W(int nIndex, wchar_t *pszDNS, int nLen);
VTC1020_API int  SetServerIP(char *pszIP, int nLen);
VTC1020_API int  SetServerIP_W(wchar_t *pszIP, int nLen);
VTC1020_API int  SetServerPort(int nPort);
VTC1020_API int  SetMachineName(char *pszMachineName, int nLen);
VTC1020_API int  SetMachineName_W(wchar_t *pszMachineName, int nLen);
VTC1020_API int  SetPhoneNumber(int nIndex, Phone_Number_t *pPhone_Number, int nCount);
VTC1020_API int  SetPhoneNumber_W(int nIndex, Phone_Number_W_t *pPhone_Number, int nCount);
VTC1020_API int  SetTrackerControl(int nTrackerEnable);
VTC1020_API int  SetTrackerMode(int nTrackerMode);
VTC1020_API int  SetTrackerDelayTime(int nTime);
VTC1020_API int  SetTrackerResponseTime(int nTime);
VTC1020_API int  SetTrackerThreshtap(int nThreshtap);
VTC1020_API int  SetTrackerAngle(int nTrackerAngle);
VTC1020_API int  SetSMSControl(int nSMS_Enable);
VTC1020_API int  SetSMSCodingType(int nSMSCodingType);
VTC1020_API int  SetSMSContent_ASCII(char *pszSMS, int nLen);
VTC1020_API int  SetSMSContent_ASCII_W(wchar_t *pszSMS, int nLen);
VTC1020_API int  SetSMSContent_Unicode(wchar_t *pszSMS, int nLen);
